%define debug_package %{nil}

%define gem_name one_gadget

Name:           %{gem_name}
Version:        1.7.4
Release:        1%{?dist}
Summary:        Tool to find an execve call to /bin/sh

License:        MIT
URL:            https://github.com/david942j/%{gem_name}
Source:         https://github.com/david942j/%{gem_name}/archive/refs/tags/v%{version}.tar.gz

BuildRequires:  rubygems-devel
BuildArch:      noarch

%description
When playing ctf pwn challenges we usually need the one-gadget RCE 
(remote code execution), which leads to call execve('/bin/sh', NULL, NULL).

%prep
%autosetup -n %{gem_name}-%{version}

%build
gem build %{gem_name}.gemspec
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a ./%{gem_dir}/* %{buildroot}%{gem_dir}/
mkdir -p %{buildroot}%{_bindir}
cp -a ./%{_bindir}/* %{buildroot}%{_bindir}

%files
%_bindir/*
%{gem_dir}/*
%doc LICENSE README.md

%changelog
* Fri May 21 2021 Carlos Mogas da Silva <r3pek@r3pek.org> - 1.7.4-1
- Initial import