%define debug_package %{nil}

%define gem_name bindata

Name:           rubygem-%{gem_name}
Version:        2.4.10
Release:        1%{?dist}
Summary:        BinData provides a declarative way to read and write structured binary data.

License:        BSD-2-Clause
URL:            https://github.com/dmendel/%{gem_name}
Source:         %{name}-%{version}.tar.gz
Patch:          rubygem-bindata-fix-gemspec-files.patch

BuildRequires:  rubygems-devel
BuildArch:      noarch

%description
BinData makes it easy to create new data types.
It supports all the common primitive datatypes that are found in structured binary data formats.
Support for dependent and variable length fields is built in.

%prep
%autosetup -n %{gem_name}-%{version}

%build
gem build %{gem_name}.gemspec
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a ./%{gem_dir}/* %{buildroot}%{gem_dir}/

%files
%{gem_dir}/*
%doc BSDL README.md

%changelog
* Fri May 21 2021 Carlos Mogas da Silva <r3pek@r3pek.org> - 2.4.10-1
- Initial import