%define debug_package %{nil}

%define gem_name elftools

Name:           rubygem-%{gem_name}
Version:        1.1.3
Release:        1%{?dist}
Summary:        Pure ruby library for parsing and patching ELF files.

License:        MIT
URL:            https://github.com/david942j/rb%{gem_name}
Source:         https://github.com/david942j/rb%{gem_name}/archive/refs/tags/v%{version}.tar.gz

BuildRequires:  rubygems-devel
BuildArch:      noarch

%description
ELF parser in pure ruby implementation. This work is inspired by pyelftools by Eli Bendersky.

%prep
%autosetup -n rb%{gem_name}-%{version}

%build
gem build %{gem_name}.gemspec
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a ./%{gem_dir}/* %{buildroot}%{gem_dir}/

%files
%{gem_dir}/*
%doc LICENSE README.md

%changelog
* Fri May 21 2021 Carlos Mogas da Silva <r3pek@r3pek.org> - 1.1.3-1
- Initial import